# Uses of Class
javax.help.search.SearchEvent

Packages that use SearchEvent
Package
Description
javax.help.plaf.basic
javax.help.search
Supports simple access to search engines.
javax.help.tagext

## Uses of SearchEvent in javax.help.plaf.basic

Methods in javax.help.plaf.basic with parameters of type SearchEvent
Modifier and Type
Method
Description
`void`
BasicSearchNavigatorUI.`itemsFound(SearchEvent e)`
`void`
BasicSearchNavigatorUI.`searchFinished(SearchEvent e)`
`void`
BasicSearchNavigatorUI.`searchStarted(SearchEvent e)`

## Uses of SearchEvent in javax.help.search

Methods in javax.help.search with parameters of type SearchEvent
Modifier and Type
Method
Description
`protected void`
SearchQuery.`fireItemsFound(SearchEvent e)`
Passs through that a SearchEvent has happened.
`void`
SearchListener.`itemsFound(SearchEvent e)`
Tells the listener that matching SearchItems have been found.
`void`
SearchListener.`searchFinished(SearchEvent e)`
Tells the listener that the search has finished
`void`
SearchListener.`searchStarted(SearchEvent e)`
Tells the listener that the search has started.

## Uses of SearchEvent in javax.help.tagext

Methods in javax.help.tagext with parameters of type SearchEvent
Modifier and Type
Method
Description
`void`
SearchTOCItemTag.`itemsFound(SearchEvent e)`
`void`
SearchTOCItemTag.`searchFinished(SearchEvent e)`
`void`
SearchTOCItemTag.`searchStarted(SearchEvent e)`